LuceneServiceMXBean (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.lucene.management

## Interface LuceneServiceMXBean

-     public interface LuceneServiceMXBean

  MBean that provides access to the `LuceneService`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LuceneIndexMetrics[]` | `listIndexMetrics()` Returns an array of `LuceneIndexMetrics` for the `LuceneIndex` instances defined in this member
    `LuceneIndexMetrics[]` | `listIndexMetrics(java.lang.String regionPath)` Returns an array of `LuceneIndexMetrics` for the `LuceneIndex` instances defined on the input region in this member
    `LuceneIndexMetrics` | `listIndexMetrics(java.lang.String regionPath, java.lang.String indexName)` Returns a `LuceneIndexMetrics` for the `LuceneIndex` with the input index name defined on the input region in this member.

- - ### Method Detail

    - #### listIndexMetrics

          LuceneIndexMetrics[] listIndexMetrics()

      Returns an array of `LuceneIndexMetrics` for the `LuceneIndex` instances defined in this member
      Returns:
        an array of LuceneIndexMetrics for the LuceneIndexes defined in this member

    - #### listIndexMetrics

          LuceneIndexMetrics[] listIndexMetrics(java.lang.String regionPath)

      Returns an array of `LuceneIndexMetrics` for the `LuceneIndex` instances defined on the input region in this member
      Parameters:
        `regionPath` - The full path of the region to retrieve
      Returns:
        an array of LuceneIndexMetrics for the LuceneIndex instances defined on the input region in this member

    - #### listIndexMetrics

          LuceneIndexMetrics listIndexMetrics(java.lang.String regionPath,
                                              java.lang.String indexName)

      Returns a `LuceneIndexMetrics` for the `LuceneIndex` with the input index name defined on the input region in this member.
      Parameters:
        `regionPath` - The full path of the region to retrieve
        `indexName` - The name of the index to retrieve
      Returns:
        a LuceneIndexMetrics for the LuceneIndex with the input index name defined on the input region in this member.